﻿using System;
using System.Collections.Generic;
using System.Windows;

namespace DynamicMeasuresInPivotGrid
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            xamPivotGrid.DataSource = dataSelector.DataSource= new MyDataSource
            {
                ItemsSource = new[]
                {
                    new MyViewModel
                    {
                        Measures = new List<MeasureViewModel>
                        {
                            new MeasureViewModel {MeasureType = "measure1", Value = 1234},
                            new MeasureViewModel {MeasureType = "measure2", Value = 2345},
                        },
                        UsualMeasure = 9876,
                        SomeDate = DateTime.Today
                    }
                }
            };
        }
    }
}
