﻿using System;
using System.Collections.Generic;
using System.Dynamic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DynamicMeasuresInPivotGrid
{
    public class MyViewModel : DynamicObject
    {
        public DateTime SomeDate { get; set; }
        public decimal? UsualMeasure { get; set; }
        public IEnumerable<MeasureViewModel> Measures { get; set; }

        public override bool TryGetMember(GetMemberBinder binder, out object result)
        {
            result = Measures.FirstOrDefault(x => x.MeasureType == binder.Name)?.Value;
            return true;
        }
    }
    public class MeasureViewModel
    {
        public decimal? Value { get; set; }
        public string MeasureType { get; set; }
    }
}
